defmodule Outlook.Repo.Migrations.CreateDeeplAccounts do
  use Ecto.Migration

  def change do
    create table(:deepl_accounts) do
      add :name, :string
      add :description, :text
      add :auth_key, :string
      add :character_limit, :integer
      add :character_count, :integer
      add :our_character_count, :integer
      add :user_id, references(:users, on_delete: :nothing)

      timestamps()
    end

    create index(:deepl_accounts, [:user_id])
  end
end
